View Issue Details

IDProjectCategoryView StatusLast Update
0001631NoesisGUIC# SDKpublic2020-03-21 02:12
Reporterdarthmaule2Assigned Tosfernandez 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.6 
Target Version3.0.0Fixed in Version3.0.0 
Summary0001631: Missing SizeToContent property of the Window
Descriptionhttps://docs.microsoft.com/en-us/dotnet/api/system.windows.window.sizetocontent?view=netframework-4.8

We have a Window layout like this:
<Window x:Class="UIShell.MainWindow"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    mc:Ignorable="d"
    Background="transparent"
    SizeToContent=WidthAndHeight">
    <Grid x:Name="clientArea" Focusable="False" Width="1280" Height="720">
      <ContentControl></ContentControl> // <-- Our views are loaded here dynamically on state changes
   </Grid>

We would like to ensure the "clientArea" Grid is always exactly 1280 x 720.
We want the Window too auto-size itself around that regardless of the style we have set for it.
If we set the window to 1280 x 720 our client area Grid ends up with slightly smaller dimensions.
TagsC#, xaml
PlatformAny

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-03-01 13:53 darthmaule2 New Issue
2020-03-01 13:53 darthmaule2 Tag Attached: C#
2020-03-01 13:53 darthmaule2 Tag Attached: xaml
2020-03-03 13:22 sfernandez Assigned To => sfernandez
2020-03-03 13:22 sfernandez Status new => assigned
2020-03-03 13:22 sfernandez Target Version => 3.0.0
2020-03-03 13:22 sfernandez Product Version 3.0.0 => 2.2.6
2020-03-21 02:12 sfernandez Status assigned => resolved
2020-03-21 02:12 sfernandez Resolution open => fixed
2020-03-21 02:12 sfernandez Fixed in Version => 3.0.0